2017-10-23 20:45 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0013964CentOS-7kernelpublic2017-10-20 10:44
Reporterccto 
PrioritynormalSeveritycrashReproducibilityrandom
StatusnewResolutionopen 
Platformx86_64OSCentOS LinuxOS Version7.4
Product Version7.4.1708 
Target VersionFixed in Version 
Summary0013964: Kernel crash and auto-restart
DescriptionWe have 3 servers, updated to CentOS 7.4, then starting to reboot automatically (and by random), especially when high I/O process (e.g. LVM snapshot , rsync backup , cp -al hard link creation)

Kernel version: 3.10.0-693.2.2.el7.x86_64

Please kindly help.

---------

Below is the kdump information

[ 9989.281318] kernel BUG at mm/page_alloc.c:1389!
[ 9989.281329] invalid opcode: 0000 [#1] SMP

(More at the additional information)
Additional Information[ 9989.281318] kernel BUG at mm/page_alloc.c:1389!
[ 9989.281329] invalid opcode: 0000 [#1] SMP
[ 9989.281347] Modules linked in: dm_snapshot dm_bufio xt_limit nf_log_ipv4 nf_log_common xt_LOG xt_owner xt_comment iptable_mangle iptable_nat nf_nat_ipv4 nf_nat kcare(OE) nf_conntrack_ftp ip6t_REJECT nf_re
ject_ipv6 nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables ipt_REJECT nf_reject_ipv4 nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack iptable_filter w83627ehf hwmon_vid ext4 mbcache jbd2
 intel_powerclamp coretemp intel_rapl iosf_mbi kvm irqbypass crc32_pclmul ghash_clmulni_intel aesni_intel lrw gf128mul ppdev iTCO_wdt iTCO_vendor_support glue_helper ablk_helper pcspkr cryptd ipmi_ssif ipmi_
si ipmi_devintf sg ipmi_msghandler winbond_cir rc_core shpchp video i2c_i801 parport_pc parport i2c_core lpc_ich ie31200_edac edac_core ip_tables xfs libcrc32c raid1 sd_mod crc_t10dif crct10dif_generic
[ 9989.281670] ahci libahci libata e1000e crct10dif_pclmul crct10dif_common crc32c_intel ptp pps_core dm_mirror dm_region_hash dm_log dm_mod
[ 9989.281728] CPU: 2 PID: 17573 Comm: cp Tainted: G OE ------------ 3.10.0-693.2.2.el7.x86_64 #1
[ 9989.281747] Hardware name: Intel Corporation SandyBridge Platform/To be filled by O.E.M., BIOS S1200BT.86B.02.00.0041.120520121743 12/05/2012
[ 9989.281776] task: ffff880417b61fa0 ti: ffff88020ab4c000 task.ti: ffff88020ab4c000
[ 9989.281917] RIP: 0010:[<ffffffff8118833e>] [<ffffffff8118833e>] move_freepages+0x15e/0x160
[ 9989.282176] RSP: 0018:ffff88020ab4f578 EFLAGS: 00010087
[ 9989.282306] RAX: ffff88043ffcc800 RBX: ffffea0002ee8000 RCX: 0000000000000001
[ 9989.282440] RDX: ffff88043ffcc000 RSI: 0000000000000000 RDI: ffff88043ffcc800
[ 9989.282576] RBP: ffff88020ab4f5c8 R08: 0000000000100000 R09: 00000000000bbbff
[ 9989.282709] R10: ffffea0002eeffc0 R11: 0000000000000000 R12: 0000000000000abe
[ 9989.282842] R13: 0000000000000003 R14: ffff88043ffcc9c8 R15: ffffea0002eeffc0
[ 9989.282975] FS: 00007f421f293800(0000) GS:ffff88042d880000(0000) knlGS:0000000000000000
[ 9989.283225] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 9989.283356] CR2: 00007f644c091000 CR3: 000000028e565000 CR4: 00000000000407e0
[ 9989.283505] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 9989.283637] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 9989.283773] Stack:
[ 9989.283898] ffff88020ab4f598 ffff88043ffcc800 ffff88042d8d6cc0 ffff88042d8d6cc0
[ 9989.284155] ffff88042d8d6cc0 ffff88043ffcc800 0000000000000abe 0000000000000003
[ 9989.284414] ffff88043ffcc9c8 ffffea0002eef820 ffff88020ab4f5d8 ffffffff811883b3
[ 9989.284692] Call Trace:
[ 9989.284819] [<ffffffff811883b3>] move_freepages_block+0x73/0x80
[ 9989.284951] [<ffffffff81189e63>] __rmqueue+0x263/0x460
[ 9989.285084] [<ffffffff8118c781>] get_page_from_freelist+0x7e1/0x9e0
[ 9989.285217] [<ffffffff810b193b>] ? autoremove_wake_function+0x2b/0x40
[ 9989.285355] [<ffffffff8169f9b1>] __alloc_pages_slowpath+0x2dd/0x724
[ 9989.285490] [<ffffffff8118cd85>] __alloc_pages_nodemask+0x405/0x420
[ 9989.285624] [<ffffffff811d1108>] alloc_pages_current+0x98/0x110
[ 9989.285759] [<ffffffff811dbe15>] new_slab+0x285/0x310
[ 9989.285890] [<ffffffff811dd71c>] ___slab_alloc+0x3ac/0x4f0
[ 9989.286040] [<ffffffffc01c3457>] ? kmem_zone_alloc+0x97/0x130 [xfs]
[ 9989.286183] [<ffffffffc01c3457>] ? kmem_zone_alloc+0x97/0x130 [xfs]
[ 9989.286315] [<ffffffff816a10ee>] __slab_alloc+0x40/0x5c
[ 9989.286449] [<ffffffff811df6b3>] kmem_cache_alloc+0x193/0x1e0
[ 9989.286593] [<ffffffffc01c3457>] ? kmem_zone_alloc+0x97/0x130 [xfs]
[ 9989.286733] [<ffffffffc01c3457>] kmem_zone_alloc+0x97/0x130 [xfs]
[ 9989.286875] [<ffffffffc01acf75>] xfs_inode_alloc+0x25/0x2a0 [xfs]
[ 9989.287014] [<ffffffffc01ad6e8>] xfs_iget+0x2f8/0x7e0 [xfs]
[ 9989.287144] [<ffffffff811a1065>] ? kvfree+0x35/0x40
[ 9989.287283] [<ffffffffc01b64c7>] xfs_lookup+0xf7/0x140 [xfs]
[ 9989.287422] [<ffffffffc01b311b>] xfs_vn_lookup+0x7b/0xd0 [xfs]
[ 9989.287569] [<ffffffff8120b46d>] lookup_real+0x1d/0x50
[ 9989.287698] [<ffffffff8120bd42>] __lookup_hash+0x42/0x60
[ 9989.287827] [<ffffffff816a1342>] lookup_slow+0x42/0xa7
[ 9989.287955] [<ffffffff8120f2eb>] path_lookupat+0x77b/0x7b0
[ 9989.288085] [<ffffffff811df6b3>] ? kmem_cache_alloc+0x193/0x1e0
[ 9989.288218] [<ffffffff81211d2f>] ? getname_flags+0x4f/0x1a0
[ 9989.288349] [<ffffffff8120f34b>] filename_lookup+0x2b/0xc0
[ 9989.288512] [<ffffffff81212ec7>] user_path_at_empty+0x67/0xc0
[ 9989.288646] [<ffffffff81218ed8>] ? __d_instantiate+0x98/0x100
[ 9989.288786] [<ffffffff81218f92>] ? d_instantiate+0x52/0x70
[ 9989.288918] [<ffffffff81212f31>] user_path_at+0x11/0x20
[ 9989.289048] [<ffffffff81206473>] vfs_fstatat+0x63/0xc0
[ 9989.289179] [<ffffffff81206a41>] SYSC_newlstat+0x31/0x60
[ 9989.289308] [<ffffffff812137a7>] ? SyS_linkat+0x137/0x320
[ 9989.289450] [<ffffffff8111f5c6>] ? __audit_syscall_exit+0x1e6/0x280
[ 9989.289587] [<ffffffff81206cce>] SyS_newlstat+0xe/0x10
[ 9989.289717] [<ffffffff816b5009>] system_call_fastpath+0x16/0x1b
[ 9989.289848] Code: f5 60 a2 b1 81 e9 26 ff ff ff 0f 1f 00 48 89 d0 48 c1 ea 29 48 c1 e8 36 81 e2 00 18 00 00 48 03 14 c5 60 a2 b1 81 e9 e4 fe ff ff <0f> 0b 66 66 66 66 90 4c 8b 05 9c b8 89 00 48 89 f0 4c 2
9 c0 48
[ 9989.290349] RIP [<ffffffff8118833e>] move_freepages+0x15e/0x160
[ 9989.290498] RSP <ffff88020ab4f578>
Tags"Restart", centos 7, kernel panic
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0030290

ccto (reporter)

It seems netstat will crash the kernel
(We will spool netstat regularly for monitoring purpose)

---------

[root@peach 127.0.0.1-2017-10-04-05:08:10]# crash vmcore /usr/lib/debug/lib/modules/`uname -r`/vmlinux

crash 7.1.9-2.el7
Copyright (C) 2002-2016 Red Hat, Inc.
Copyright (C) 2004, 2005, 2006, 2010 IBM Corporation
Copyright (C) 1999-2006 Hewlett-Packard Co
Copyright (C) 2005, 2006, 2011, 2012 Fujitsu Limited
Copyright (C) 2006, 2007 VA Linux Systems Japan K.K.
Copyright (C) 2005, 2011 NEC Corporation
Copyright (C) 1999, 2002, 2007 Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002 Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. Enter "help copying" to see the conditions.
This program has absolutely no warranty. Enter "help warranty" for details.

GNU gdb (GDB) 7.6
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu"...

      KERNEL: /usr/lib/debug/lib/modules/3.10.0-693.2.2.el7.x86_64/vmlinux
    DUMPFILE: vmcore [PARTIAL DUMP]
        CPUS: 8
        DATE: Wed Oct 4 05:08:01 2017
      UPTIME: 07:54:21
LOAD AVERAGE: 1.93, 2.42, 3.14
       TASKS: 653
    NODENAME: peach.website-solution.net
     RELEASE: 3.10.0-693.2.2.el7.x86_64
     VERSION: #1 SMP Tue Sep 12 22:26:13 UTC 2017
     MACHINE: x86_64 (3392 Mhz)
      MEMORY: 15.7 GB
       PANIC: "kernel BUG at mm/page_alloc.c:1389!"
         PID: 66194
     COMMAND: "netstat"
        TASK: ffff8801d23f8fd0 [THREAD_INFO: ffff880039d84000]
         CPU: 0
       STATE: TASK_RUNNING (PANIC)

~0030291

ccto (reporter)

We regularly run "netstat -naop > somefile" for monitoring purpose (around every 5 minutes)

~0030294

ccto (reporter)

Below is the backtrace inside crash

crash> bt
PID: 66194 TASK: ffff8801d23f8fd0 CPU: 0 COMMAND: "netstat"
 #0 [ffff880039d87470] machine_kexec at ffffffff8105c4cb
 #1 [ffff880039d874d0] __crash_kexec at ffffffff81104a32
 #2 [ffff880039d875a0] crash_kexec at ffffffff81104b20
 #3 [ffff880039d875b8] oops_end at ffffffff816ad2b8
 #4 [ffff880039d875e0] die at ffffffff8102e97b
 #5 [ffff880039d87610] do_trap at ffffffff816aca00
 #6 [ffff880039d87660] do_invalid_op at ffffffff8102b184
 #7 [ffff880039d87710] invalid_op at ffffffff816b689e
    [exception RIP: move_freepages+350]
    RIP: ffffffff8118833e RSP: ffff880039d877c8 RFLAGS: 00010087
    RAX: ffff88043ffcc800 RBX: ffffea0002ee8000 RCX: 0000000000000001
    RDX: ffff88043ffcc000 RSI: 0000000000000000 RDI: ffff88043ffcc800
    RBP: ffff880039d87818 R8: 0000000000100000 R9: 00000000000bbbff
    R10: ffffea0002eeffc0 R11: 0000000000000000 R12: 0000000000000abe
    R13: 0000000000000003 R14: ffff88043ffcc9c8 R15: ffffea0002eeffc0
    ORIG_RAX: ffffffffffffffff CS: 0010 SS: 0018
 #8 [ffff880039d877c0] move_freepages at ffffffff811882cc
 #9 [ffff880039d87820] move_freepages_block at ffffffff811883b3
#10 [ffff880039d87830] __rmqueue at ffffffff81189e63
#11 [ffff880039d878a0] get_page_from_freelist at ffffffff8118c781
#12 [ffff880039d879b0] __alloc_pages_slowpath at ffffffff8169f9b1
#13 [ffff880039d87aa0] __alloc_pages_nodemask at ffffffff8118cd85
#14 [ffff880039d87b50] alloc_pages_current at ffffffff811d1108
#15 [ffff880039d87b98] new_slab at ffffffff811dbe15
#16 [ffff880039d87bd0] ___slab_alloc at ffffffff811dd71c
#17 [ffff880039d87ca8] __slab_alloc at ffffffff816a10ee
#18 [ffff880039d87ce8] kmem_cache_alloc at ffffffff811df6b3
#19 [ffff880039d87d28] proc_alloc_inode at ffffffff8127061d
#20 [ffff880039d87d48] alloc_inode at ffffffff8121c80d
#21 [ffff880039d87d68] new_inode_pseudo at ffffffff8121eaa1
#22 [ffff880039d87d88] new_inode at ffffffff8121eb09
#23 [ffff880039d87da0] proc_pid_make_inode at ffffffff8127490e
#24 [ffff880039d87dd0] proc_fd_instantiate at ffffffff81278d95
#25 [ffff880039d87df8] proc_fill_cache at ffffffff81275239
#26 [ffff880039d87e68] proc_readfd_common at ffffffff81278f8a
#27 [ffff880039d87ee0] proc_readfd at ffffffff81279095
#28 [ffff880039d87ef0] vfs_readdir at ffffffff812155c0
#29 [ffff880039d87f30] sys_getdents at ffffffff812159e5
#30 [ffff880039d87f80] system_call_fastpath at ffffffff816b5009
    RIP: 00007f9c3fc71cb5 RSP: 00007ffd257d3a88 RFLAGS: 00000246
    RAX: 000000000000004e RBX: ffffffff816b5009 RCX: ffffffffffffffff
    RDX: 0000000000008000 RSI: 00005559a1e9e0b0 RDI: 0000000000000004
    RBP: 00005559a1e9e0b0 R8: 000000000000000f R9: 00005559a1ea60c0
    R10: 000000000000000e R11: 0000000000000246 R12: 00005559a1e96040
    R13: 0000000000000016 R14: fffffffffffffe90 R15: 00005559a1e9e0b0
    ORIG_RAX: 000000000000004e CS: 0033 SS: 002b
crash>

~0030363

ccto (reporter)

From google search result (search for "mm/page_alloc.c:1389" ),
I suspect it is similar to https://access.redhat.com/solutions/3208581

~0030364

toracat (manager)

I got an "Access Denied" message when I tried to go to that solution article. I'm now asking Red Hat why.

~0030366

JohnnyHughes (administrator)

Last edited: 2017-10-12 17:02

View 2 revisions

They Have now fixed the article. I also believe this is your issue.

What is your hardware?

There currently is no fix posted anywhere that I can see.

~0030367

fanfan (reporter)

Same issue here.

[184410.187899] kernel BUG at mm/page_alloc.c:1389!
[184410.187910] invalid opcode: 0000 [#1] SMP
[184410.187929] Modules linked in: xt_multiport mpt3sas mpt2sas raid_class scsi_transport_sas mptctl mptbase iptable_nat nf_nat_ipv4 nf_nat ip6table_mangle ip6t_REJECT nf_reject_ipv6 nf_conntrack_ipv6 nf_defrag_ipv6 iptable_mangle ipt_REJECT nf_reject_ipv4 nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ip6table_filter ip6_tables iptable_filter binfmt_misc w83627ehf hwmon_vid intel_powerclamp coretemp intel_rapl iosf_mbi kvm sg ie31200_edac iTCO_wdt iTCO_vendor_support edac_core irqbypass crc32_pclmul ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper lpc_ich cryptd i2c_i801 i2c_core shpchp ppdev winbond_cir rc_core parport_pc parport ipmi_si ipmi_devintf ipmi_msghandler video pcspkr ip_tables xfs libcrc32c sd_mod crc_t10dif crct10dif_generic e1000e crct10dif_pclmul crct10dif_common
[184410.188248] crc32c_intel megaraid_sas ptp pps_core
[184410.188270] CPU: 6 PID: 112965 Comm: du Not tainted 3.10.0-693.2.2.el7.x86_64 #1
[184410.188285] Hardware name: Intel Corporation SandyBridge Platform/To be filled by O.E.M., BIOS S1200BT.86B.02.00.0042.050820141549 05/08/2014
[184410.188314] task: ffff88022dfc8000 ti: ffff880079024000 task.ti: ffff880079024000
[184410.188331] RIP: 0010:[<ffffffff8118833e>] [<ffffffff8118833e>] move_freepages+0x15e/0x160
[184410.188590] RSP: 0018:ffff880079027788 EFLAGS: 00010087
[184410.188724] RAX: ffff88063ffc4800 RBX: ffffea0002ee8000 RCX: 0000000000000001
[184410.188982] RDX: ffff88063ffc4000 RSI: 0000000000000000 RDI: ffff88063ffc4800
[184410.189229] RBP: ffff8800790277d8 R08: 0000000000100000 R09: 00000000000bbbff
[184410.189477] R10: ffffea0002eeffc0 R11: 0000000000000000 R12: 00000000000008d9
[184410.189729] R13: 0000000000000002 R14: ffff88063ffc4960 R15: ffffea0002eeffc0
[184410.189987] FS: 00007f4ee9895740(0000) GS:ffff880625980000(0000) knlGS:0000000000000000
[184410.190241] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[184410.190375] CR2: 0000000002a72000 CR3: 0000000465100000 CR4: 00000000000407e0
[184410.190626] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[184410.190875] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[184410.191128] Stack:
[184410.191252] ffff8800790278b8 ffff88063ffc4800 ffff88007902788c ffff8800790277c0
[184410.191509] ffffffffc012f02f ffff88063ffc4800 00000000000008d9 0000000000000002
[184410.191765] ffff88063ffc4960 ffffea0002eed620 ffff8800790277e8 ffffffff811883b3
[184410.192024] Call Trace:
[184410.192168] [<ffffffffc012f02f>] ? xfs_iext_get_ext+0x3f/0xa0 [xfs]
[184410.192302] [<ffffffff811883b3>] move_freepages_block+0x73/0x80
[184410.192435] [<ffffffff81189e63>] __rmqueue+0x263/0x460
[184410.192575] [<ffffffff8118c781>] get_page_from_freelist+0x7e1/0x9e0
[184410.192722] [<ffffffffc013c3f7>] ? _xfs_buf_find+0x157/0x330 [xfs]
[184410.192857] [<ffffffff8118caf6>] __alloc_pages_nodemask+0x176/0x420
[184410.192989] [<ffffffff811d1108>] alloc_pages_current+0x98/0x110
[184410.193121] [<ffffffff811dbe15>] new_slab+0x285/0x310
[184410.193251] [<ffffffff811dd71c>] ___slab_alloc+0x3ac/0x4f0
[184410.193383] [<ffffffff8121adc5>] ? __d_alloc+0x25/0x180
[184410.193523] [<ffffffffc0131f3a>] ? xfs_perag_get+0x2a/0xb0 [xfs]
[184410.193666] [<ffffffff8121adc5>] ? __d_alloc+0x25/0x180
[184410.193808] [<ffffffff816a10ee>] __slab_alloc+0x40/0x5c
[184410.193941] [<ffffffff811df6b3>] kmem_cache_alloc+0x193/0x1e0
[184410.194073] [<ffffffff8121adc5>] ? __d_alloc+0x25/0x180
[184410.194205] [<ffffffff8121adc5>] __d_alloc+0x25/0x180
[184410.194363] [<ffffffff8121af3a>] d_alloc+0x1a/0x70
[184410.194520] [<ffffffff8120bcdb>] lookup_dcache+0x8b/0xb0
[184410.194650] [<ffffffff8120bd2d>] __lookup_hash+0x2d/0x60
[184410.194795] [<ffffffff816a1342>] lookup_slow+0x42/0xa7
[184410.194924] [<ffffffff8120f2eb>] path_lookupat+0x77b/0x7b0
[184410.195055] [<ffffffff811df555>] ? kmem_cache_alloc+0x35/0x1e0
[184410.195194] [<ffffffff81211d2f>] ? getname_flags+0x4f/0x1a0
[184410.195324] [<ffffffff8120f34b>] filename_lookup+0x2b/0xc0
[184410.195458] [<ffffffff81212ec7>] user_path_at_empty+0x67/0xc0
[184410.195599] [<ffffffff81114b12>] ? from_kgid_munged+0x12/0x20
[184410.195729] [<ffffffff8120697f>] ? cp_new_stat+0x14f/0x180
[184410.195863] [<ffffffff81212f31>] user_path_at+0x11/0x20
[184410.195991] [<ffffffff81206473>] vfs_fstatat+0x63/0xc0
[184410.196119] [<ffffffff81206a94>] SYSC_newfstatat+0x24/0x60
[184410.196249] [<ffffffff8111f5c6>] ? __audit_syscall_exit+0x1e6/0x280
[184410.196380] [<ffffffff81206cde>] SyS_newfstatat+0xe/0x10
[184410.196509] [<ffffffff816b5009>] system_call_fastpath+0x16/0x1b
[184410.196638] Code: f5 60 a2 b1 81 e9 26 ff ff ff 0f 1f 00 48 89 d0 48 c1 ea 29 48 c1 e8 36 81 e2 00 18 00 00 48 03 14 c5 60 a2 b1 81 e9 e4 fe ff ff <0f> 0b 66 66 66 66 90 4c 8b 05 9c b8 89 00 48 89 f0 4c 29 c0 48
[184410.197150] RIP [<ffffffff8118833e>] move_freepages+0x15e/0x160
[184410.197282] RSP <ffff880079027788>

~0030369

ccto (reporter)

My hardware: Intel S1200BT server board
(probably the same series as fanfan one (from the Hardware name)

I have no access to RHEL solution.

~0030374

ricky rocker (reporter)

We are seeing what appears to be the same issue - during rsync:

Kernel: 3.10.0-693.2.2.el7.x86_64

PID: 95100 TASK: ffff880055f26eb0 CPU: 7 COMMAND: "rsync"
 #0 [ffff880008dd7430] machine_kexec at ffffffff8105c4cb
 #1 [ffff880008dd7490] __crash_kexec at ffffffff81104a32
 #2 [ffff880008dd7560] crash_kexec at ffffffff81104b20
 #3 [ffff880008dd7578] oops_end at ffffffff816ad2b8
 #4 [ffff880008dd75a0] die at ffffffff8102e97b
 #5 [ffff880008dd75d0] do_trap at ffffffff816aca00
 #6 [ffff880008dd7620] do_invalid_op at ffffffff8102b184
 #7 [ffff880008dd76d0] invalid_op at ffffffff816b689e
    [exception RIP: move_freepages+350]
    RIP: ffffffff8118833e RSP: ffff880008dd7788 RFLAGS: 00010087
    RAX: ffff88043ffcc800 RBX: ffffea0002ee8000 RCX: 0000000000000001
    RDX: ffff88043ffcc000 RSI: 0000000000000000 RDI: ffff88043ffcc800
    RBP: ffff880008dd77d8 R8: 0000000000100000 R9: 00000000000bbbff
    R10: ffffea0002eeffc0 R11: 0000000000000000 R12: 0000000000000d6d
    R13: 0000000000000001 R14: ffff88043ffcc8f8 R15: ffffea0002eeffc0
    ORIG_RAX: ffffffffffffffff CS: 0010 SS: 0018
 #8 [ffff880008dd77a8] xfs_iext_get_ext at ffffffffc02dc02f [xfs]
 #9 [ffff880008dd77e0] move_freepages_block at ffffffff811883b3
#10 [ffff880008dd77f0] __rmqueue at ffffffff81189e63
...

~0030430

ricky rocker (reporter)

This issue is causing real problems for us as the server is rebooting at least once a day. I can see here https://access.redhat.com/solutions/3208581 that Red Hat are working on a fix which is great news! Does anyone by any wild chance have any insight into when the fix is expected to be available?
+Notes

-Issue History
Date Modified Username Field Change
2017-10-03 23:47 ccto New Issue
2017-10-03 23:47 ccto Tag Attached: "Restart"
2017-10-03 23:47 ccto Tag Attached: centos 7
2017-10-03 23:47 ccto Tag Attached: kernel panic
2017-10-04 00:20 ccto Note Added: 0030290
2017-10-04 00:22 ccto Note Added: 0030291
2017-10-04 03:54 ccto Note Added: 0030294
2017-10-12 14:52 ccto Note Added: 0030363
2017-10-12 15:32 toracat Note Added: 0030364
2017-10-12 17:02 JohnnyHughes Note Added: 0030366
2017-10-12 17:02 JohnnyHughes Note Edited: 0030366 View Revisions
2017-10-13 01:00 fanfan Note Added: 0030367
2017-10-13 03:31 ccto Note Added: 0030369
2017-10-15 09:49 ricky rocker Note Added: 0030374
2017-10-20 10:44 ricky rocker Note Added: 0030430
+Issue History